=== debian/changelog ===
carbon-qt (0+p20201123+git20201207.1943-0) 2101+amd64; urgency=medium

  * Automatic Debian CI Build

 -- Debian CI <null@debian.org>  Mon, 07 Dec 2020 19:43:27 +0000

carbon-qt (0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Rohan Garg <rohan@kde.org>  Mon, 25 Jul 2016 16:15:32 +0200
