=== debian/control ===
Source: carbon-qt
Section: unknown
Priority: optional
Maintainer: Rohan Garg <rohan@kde.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdelibs5-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5service-dev,
               libkf5style-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libqt4-dev,
               libqt5x11extras5-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.8
Homepage: https://github.com/ds9-extras/carbon-qt/
Vcs-Git: https://github.com/dci-extras-packaging/carbon-qt
Vcs-Browser: https://github.com/dci-extras-packaging/carbon-qt

Package: carbon-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: carbon-qt theme
 This package contains the carbon-qt theme

Package: carbon-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: carbon-qt4 theme
 This package contains the carbon-qt4 theme
