=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/build-qt4

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --builddirectory=$(CURDIR)/build-qt4 -- -DCARBON_USE_KDE4=true

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=$(CURDIR)/build-qt4

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=$(CURDIR)/build-qt4
